Subject: Re: [Ietf-and-github] Legal notices (was: Re: A possible way of keeping WG informed of github tracked issues?

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Tue, 2 Feb 2016 03:26:38 +0000

https://github.com/martinthomson/i-d-template/blob/master/template/CONTRIBUTING.md is a great example and addresses many of the concerns others have raised about github usage, but I agree with Brian that it would be better to include a ptr to the Note Well than a snapshot of it.

Cheers,
Charles

On 2/1/16, 4:04 AM, "Ietf-and-github on behalf of Brian E Carpenter" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

On 01/02/2016 15:39, Mark Nottingham wrote:
On 1 Feb 2016, at 1:24 pm, Brian E Carpenter <[email-masked]<mailto:[email-masked]>> wrote:

IANAL, but my understanding is that it is generally better to point to the official
rules than to generate copies in each place or to add explanatory material
that might unintentionally modify the interpretation. So maybe we should
create a short CONTRIBUTING.md and request the IETF counsel to check it.
I think that's the function of NOTE WELL, isn't it?
Each WG might have additional information they want to add, so I don't think we could have each one be exactly the same, but maybe what we need is ( NOTE_WELL + ADDITIONAL_GITHUB_SPECIFICS? + WG_STUFF ).

Sure, but the NOTE WELL is not a universal constant, and may change from time to time, which is why I used:

This repository is for an IETF effort and falls under IETF rules: see http://www.ietf.org/about/note-well.html

    Brian

_______________________________________________
Ietf-and-github mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ietf-and-github